%define anolis_release 2
Summary: X.Org X11 SM runtime library
Name: libSM
Version: 1.2.4
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(ice) >= 1.1.0
BuildRequires: pkgconfig(uuid)
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xtrans)
BuildRequires: xmlto

%description
The X.Org X11 SM (Session Management) runtime library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: X.Org X11 SM development package
Requires: %{name} = %{version}-%{release}

%description devel
The X.Org X11 SM (Session Management) development package.

%prep
%setup -q

%build
%configure --with-libuuid --disable-static
%make_build

%install
%make_install

# we %%doc these ourselves, later, and only the text versions
rm -rf $RPM_BUILD_ROOT%{_docdir}

%files
%license COPYING
%{_libdir}/libSM.so.6
%{_libdir}/libSM.so.6.*

%files doc
%doc AUTHORS ChangeLog

%files devel
%dir %{_includedir}/X11/SM
%{_includedir}/X11/SM/SM.h
%{_includedir}/X11/SM/SMlib.h
%{_includedir}/X11/SM/SMproto.h
%{_libdir}/libSM.so
%{_libdir}/pkgconfig/sm.pc

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.2.4-2
- Rebuild for remove inappropriate build dependencies.

* Tue Dec 20 2022 Funda Wang <fundawang@yeah.net> - 1.2.4-1
- New version 1.2.4

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-2
- add doc package

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.3-1
- Init from upstream version 1.2.3

